
#ifndef _WAV_H
#define _WAV_H

typedef unsigned long	__u32;
typedef unsigned short	__u16;

typedef struct	{
	char	riff[4];	/* "RIFF" */
	__u32	riff_size;
	char	wave[4];	/* "WAVE" */
	char	fmt[4];		/* "fmt " */
	__u32	fmt_size;
	__u16	format_type;	/* 1 */
	__u16	channels;
	__u32	sample_rate;
	__u32	buffer_size;	/* sample_rate * channels * bites/8 */
	__u16	block_len;	/* 1 */
	__u16	bites;
	char	data[4];	/* "data" */
	__u32	data_size;
		} wavhead_t;


#endif _WAV_H
